## libkml 1.3.0

=== examples/CMakeLists.txt ===
add_subdirectory(domviewer)
add_subdirectory(engine)
add_subdirectory(gpx)
add_subdirectory(gx)

find_package(CURL)
if(NOT CURL_FOUND)
  message(WARNING "Examples in hellonet directory are not built because curl was not found")
else()
  add_subdirectory(hellonet)
endif()

add_subdirectory(helloworld)

add_subdirectory(java)
add_subdirectory(kml)
# add_subdirectory(perl)
# add_subdirectory(php)
add_subdirectory(python)
#add_subdirectory(ruby)
add_subdirectory(regionator)
# add_subdirectory(wxregionator)
# add_subdirectory(wxviewer)
add_subdirectory(xsd)

=== src/CMakeLists.txt ===
add_subdirectory(kml)
if(WITH_SWIG)
add_subdirectory(swig)
endif()

set(LIBKML_TARGETS "${LIBKML_TARGETS}" PARENT_SCOPE)

=== tests/CMakeLists.txt ===
add_subdirectory(kml)
if(WITH_SWIG)
  add_subdirectory(swig)
endif()

=== examples/engine/CMakeLists.txt ===
build_example(
  NAME balloonwalker
  DEPENDS kmlengine)

build_example(
  NAME clone
  DEPENDS kmlengine)

build_example(
  NAME csv2kml
  DEPENDS kmlconvenience)

build_example(
  NAME csvinfo
  DEPENDS kmlconvenience)

build_example(
  NAME import
  DEPENDS kmlengine)

build_example(
  NAME inlinestyles
  DEPENDS kmlengine)

build_example(
  NAME kmlfile
  DEPENDS kmlengine)

build_example(
  NAME kml2kmz
  DEPENDS kmlengine)

build_example(
  NAME kmzchecklinks
  DEPENDS kmlengine)

build_example(
  NAME oldschema
  DEPENDS kmlengine)

build_example(
  NAME parsebig
  DEPENDS kmlengine)

build_example(
  NAME printstyle
  DEPENDS kmlengine)

build_example(
  NAME change
  DEPENDS kmlconvenience)

build_example(
  NAME splitstyles
  DEPENDS kmlconvenience)

build_example(
  NAME streamkml
  DEPENDS kmlconvenience)

if(INSTALL_EXAMPLES)
  file(GLOB eg_files "${CMAKE_CURRENT_SOURCE_DIR}/*.cc")
  install(FILES ${eg_files}  DESTINATION examples/engine)
endif(INSTALL_EXAMPLES)

=== examples/gpx/CMakeLists.txt ===
# AM_CPPFLAGS = -I$(top_srcdir)/src \
# 	      -I$(top_srcdir)/third_party/boost_1_34_1
# if GCC
# AM_CXXFLAGS = -Wall -Werror -pedantic -Wno-long-long -fno-rtti
# endif
build_example(
  NAME gpxtracktokml
  DEPENDS kmlconvenience)

if(INSTALL_EXAMPLES)
  file(GLOB eg_files "${CMAKE_CURRENT_SOURCE_DIR}/*.cc")
  install(FILES ${eg_files}  DESTINATION examples/gpx)
endif(INSTALL_EXAMPLES)

=== examples/gx/CMakeLists.txt ===

build_example(
  NAME gpxfly
  DEPENDS kmlconvenience)

build_example(
  NAME featuretour
  DEPENDS kmlconvenience)


if(INSTALL_EXAMPLES)
file(GLOB eg_files "${CMAKE_CURRENT_SOURCE_DIR}/*.cc")
install(
  FILES ${eg_files}
  DESTINATION examples/gx)
endif()

=== examples/hellonet/CMakeLists.txt ===

add_library(curlfetch curlfetch.cc)
target_link_libraries(curlfetch ${CURL_LIBRARIES})

build_example(
  NAME csvurl2gmap
  DEPENDS kmlconvenience curlfetch)

build_example(
  NAME getgmapkml
  DEPENDS kmlconvenience curlfetch)

build_example(
  NAME getgsheetcsv
  DEPENDS kmlconvenience curlfetch)

build_example(
  NAME getgsheetkml
  DEPENDS kmlconvenience curlfetch)

build_example(
  NAME gsheet2gmap
  DEPENDS kmlconvenience curlfetch)

build_example(
  NAME kmlwalk
  DEPENDS kmlconvenience curlfetch)

build_example(
  NAME kmzfetch
  DEPENDS kmlconvenience curlfetch)

build_example(
  NAME listfeed
  DEPENDS kmlconvenience curlfetch)

build_example(
  NAME listgdocs
  DEPENDS kmlconvenience curlfetch)

build_example(
  NAME listgmaps
  DEPENDS kmlconvenience curlfetch)

build_example(
  NAME listgphotos
  DEPENDS kmlconvenience curlfetch)

build_example(
  NAME resolvestyle
  DEPENDS kmlconvenience curlfetch)

build_example(
  NAME searchgmap
  DEPENDS kmlconvenience curlfetch)

build_example(
  NAME uploadgmap
  DEPENDS kmlconvenience curlfetch)

build_example(
  NAME uploadgmapcsv
  DEPENDS kmlconvenience curlfetch)

build_example(
  NAME uploadgmapkml
  DEPENDS kmlconvenience curlfetch)

build_example(
  NAME uploadgsheet
  DEPENDS kmlconvenience curlfetch)

build_example(
  NAME xsdprint
  DEPENDS kmlconvenience kmlxsd curlfetch)

if(INSTALL_EXAMPLES)
file(GLOB eg_files "${CMAKE_CURRENT_SOURCE_DIR}/*.cc")
install(
  FILES ${eg_files}
  DESTINATION examples/hellonet)

install(
  FILES README curlfetch.h prompt.h
  DESTINATION examples/hellonet)
endif()

=== examples/helloworld/CMakeLists.txt ===
add_library(helloutil print.cc)
target_link_libraries(helloutil ${MINIZIP_LIBRARY})

build_example(
  NAME createkml
  DEPENDS kmldom kmlbase)

build_example(
  NAME circlegen
  DEPENDS kmlconvenience kmlengine kmldom kmlbase)

build_example(
  NAME checklinks
  DEPENDS kmlengine kmldom kmlbase)

build_example(
  NAME countkml
  DEPENDS kmlengine kmldom kmlbase)

build_example(
  NAME helloattrs
  DEPENDS kmldom kmlbase)

build_example(
  NAME helloenum
  DEPENDS kmldom kmlbase)

build_example(
  NAME hellofeatures
  DEPENDS kmldom kmlbase helloutil)

build_example(
  NAME hellofolder
  DEPENDS kmldom kmlbase)

build_example(
  NAME hellogeometry
  DEPENDS kmldom kmlbase)

build_example(
  NAME hellohref
  DEPENDS kmldom kmlbase helloutil)

build_example(
  NAME hellokmz
  DEPENDS kmldom kmlbase kmlengine)

build_example(
  NAME helloregion
  DEPENDS kmldom kmlbase helloutil)

build_example(
  NAME helloworld
  DEPENDS kmldom kmlbase)

build_example(
  NAME parsekml
  DEPENDS kmldom kmlbase)

build_example(
  NAME parsens
  DEPENDS kmldom kmlbase)

build_example(
  NAME prettykml
  DEPENDS kmldom kmlbase kmlengine)

build_example(
  NAME printgeometry
  DEPENDS kmldom kmlbase kmlengine)

build_example(
  NAME sharedstyles
  DEPENDS kmldom kmlbase kmlengine kmlconvenience)

build_example(
  NAME simplifylines
  DEPENDS kmldom kmlbase kmlengine kmlconvenience)

build_example(
  NAME sortplacemarks
  DEPENDS kmldom kmlbase kmlengine kmlconvenience)


if(INSTALL_EXAMPLES)
file(GLOB eg_files "${CMAKE_CURRENT_SOURCE_DIR}/*.cc")
install(FILES ${eg_files}  DESTINATION ${KML_EXAMPLES_DIR} COMPONENT Development)
install(FILES print.h
  DESTINATION ${KML_EXAMPLES_DIR}
  COMPONENT Development)
endif()

=== examples/java/CMakeLists.txt ===
if(INSTALL_EXAMPLES)
  file(GLOB eg_files "${CMAKE_CURRENT_SOURCE_DIR}/*.java")
  install(
    FILES ${eg_files}
    DESTINATION examples/java) ##compile java
  install(
    FILES run.sh
    DESTINATION examples/java) ##
endif()

=== examples/kml/CMakeLists.txt ===
if(INSTALL_EXAMPLES)
  file(GLOB kml_files "${CMAKE_CURRENT_SOURCE_DIR}/*.kml")
  install(
    FILES ${kml_files}
    DESTINATION examples/kml)
endif()

=== examples/regionator/CMakeLists.txt ===
build_example(
  NAME csvregionator
  DEPENDS kmlbase kmldom kmlengine kmlconvenience kmlregionator)

build_example(
  NAME kmlregionator
  DEPENDS kmlbase kmldom kmlengine kmlconvenience kmlregionator)

if(INSTALL_EXAMPLES)
  file(GLOB eg_files "${CMAKE_CURRENT_SOURCE_DIR}/*.cc")
  install(
    FILES ${eg_files}
    DESTINATION examples/regionator)
endif()

=== src/kml/CMakeLists.txt ===
add_subdirectory(base)
add_subdirectory(dom)
add_subdirectory(xsd)
add_subdirectory(engine)
add_subdirectory(convenience)
add_subdirectory(regionator)

set(LIBKML_TARGETS "${LIBKML_TARGETS}" PARENT_SCOPE)

install(  FILES dom.h engine.h
          DESTINATION ${INCLUDE_INSTALL_DIR}
          COMPONENT Development)

=== debian/changelog ===
libkml (1.3.0-8build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:18:11 +0100

libkml (1.3.0-8) unstable; urgency=medium

  * Bump Standards-Version to 4.4.0, no changes.
  * Update watch file to limit matches to archive path.
  * Add Build-Depends-Package field to symbols files.
  * Remove package name from lintian overrides.
  * Don't build swig bindings.
  * Update symbols for amd64.
  * Update gbp.conf to use --source-only-changes by default.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 11 Jul 2019 15:49:40 +0200

libkml (1.3.0-7) unstable; urgency=medium

  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.
  * Add patch to fix wrong-path-for-interpreter lintian issue.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 31 Jul 2018 19:59:24 +0200

libkml (1.3.0-6) unstable; urgency=medium

  * Strip trailing whitespace from changelog, control & rules files.
  * Update copyright-format URL to use HTTPS.
  * Fix deprecated source override location.
  * Update Vcs-* URLs for Salsa.
  * Bump Standards-Version to 4.1.5, no changes.
  * Drop obsolete get-orig-source target.
  * Drop ancient X-Python-Version field.
  * Update symbols for amd64.
  * Add lintian override for bad-jar-name.
  * Add upstream metadata.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 20 Jul 2018 07:23:12 +0200

libkml (1.3.0-5) unstable; urgency=medium

  * Apply patch by Chris Lamb to fix find call.
    (closes: #876721)
  * Bump Standards-Version to 4.1.0, no changes.
  * Add lintian override for python-foo-but-no-python3-foo.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 25 Sep 2017 18:18:22 +0200

libkml (1.3.0-4) unstable; urgency=medium

  * Bump Standards-Version to 4.0.0, no changes.
  * Add autopkgtest to test installability.
  * Enable PIE hardening buildflags.
  * Use pkg-info.mk variables instead of dpkg-parsechangelog output.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 25 Jun 2017 18:28:45 +0200

libkml (1.3.0-3) unstable; urgency=medium

  * Fix typo in dh_python2 override.
  * Drop unused override for incompatible-java-bytecode-format.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 25 Aug 2016 11:51:50 +0200

libkml (1.3.0-2) unstable; urgency=medium

  * Bump Standards-Version to 3.9.8, no changes.
  * Enable bindnow hardening buildflags.
  * Add lintian override for incompatible-java-bytecode-format.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 17 Apr 2016 16:04:28 +0200

libkml (1.3.0-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 24 Dec 2015 03:10:36 +0100

libkml (1.3.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Include CMake files in libkml-dev.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 23 Dec 2015 11:31:36 +0100

libkml (1.3.0~rc2-2) unstable; urgency=medium

  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 03 Dec 2015 11:46:38 +0100

libkml (1.3.0~rc2-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 03 Dec 2015 00:11:34 +0100

libkml (1.3.0~rc2-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop install-headers.patch, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 01 Dec 2015 23:24:28 +0100

libkml (1.3.0~rc1-1~exp2) experimental; urgency=medium

  * Add patch to install kml/dom/xsd.h again, required for kml22.h.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 26 Nov 2015 01:05:46 +0100

libkml (1.3.0~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop patches, applied upstream.
  * Update Vcs-Browser URL to use HTTPS.
  * Update symbols for amd64.
  * Drop explicit build dependencies on GCC 5.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 25 Nov 2015 01:43:07 +0100

=== debian/control ===
Source: libkml
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
           Bas Couwenberg <sebastic@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake,
               libboost-dev,
               libcurl4-gnutls-dev | libcurl-ssl-dev,
               libexpat1-dev,
               libminizip-dev,
               liburiparser-dev (>= 0.7.1),
               pkg-kde-tools,
               zlib1g-dev
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/libkml
Vcs-Git: https://salsa.debian.org/debian-gis-team/libkml.git
Homepage: https://github.com/libkml/libkml

Package: libkmlbase1
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Library to manipulate KML 2.2 OGC standard files - libkmlbase
 This is a library for use with applications that want to parse,
 generate and operate on KML, a geo-data XML variant. It is an
 implementation of the OGC KML 2.2 standard. It is written in C++ and
 bindings are available via SWIG to Java and Python.
 .
 This package contains the libkmlbase shared library.

Package: libkmlconvenience1
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Library to manipulate KML 2.2 OGC standard files - libkmlconvenience
 This is a library for use with applications that want to parse,
 generate and operate on KML, a geo-data XML variant. It is an
 implementation of the OGC KML 2.2 standard. It is written in C++ and
 bindings are available via SWIG to Java and Python.
 .
 This package contains the libkmlconvenience shared library.

Package: libkmldom1
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Library to manipulate KML 2.2 OGC standard files - libkmldom
 This is a library for use with applications that want to parse,
 generate and operate on KML, a geo-data XML variant. It is an
 implementation of the OGC KML 2.2 standard. It is written in C++ and
 bindings are available via SWIG to Java and Python.
 .
 This package contains the libkmldom shared library.

Package: libkmlengine1
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Library to manipulate KML 2.2 OGC standard files - libkmlengine
 This is a library for use with applications that want to parse,
 generate and operate on KML, a geo-data XML variant. It is an
 implementation of the OGC KML 2.2 standard. It is written in C++ and
 bindings are available via SWIG to Java and Python.
 .
 This package contains the libkmlengine shared library.

Package: libkmlregionator1
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Library to manipulate KML 2.2 OGC standard files - libkmlregionator
 This is a library for use with applications that want to parse,
 generate and operate on KML, a geo-data XML variant. It is an
 implementation of the OGC KML 2.2 standard. It is written in C++ and
 bindings are available via SWIG to Java and Python.
 .
 This package contains the libkmlregionator shared library.

Package: libkmlxsd1
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Library to manipulate KML 2.2 OGC standard files - libkmlxsd
 This is a library for use with applications that want to parse,
 generate and operate on KML, a geo-data XML variant. It is an
 implementation of the OGC KML 2.2 standard. It is written in C++ and
 bindings are available via SWIG to Java and Python.
 .
 This package contains the libkmlxsd shared library.

Package: libkml-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libkmlbase1 (= ${binary:Version}),
         libkmlconvenience1 (= ${binary:Version}),
         libkmldom1 (= ${binary:Version}),
         libkmlengine1 (= ${binary:Version}),
         libkmlregionator1 (= ${binary:Version}),
         libkmlxsd1 (= ${binary:Version}),
         libminizip-dev,
         liburiparser-dev (>= 0.7.1),
         libboost-dev,
         libexpat1-dev,
         zlib1g-dev,
         ${misc:Depends}
Description: Library to manipulate KML 2.2 OGC standard files - development files
 This is a library for use with applications that want to parse,
 generate and operate on KML, a geo-data XML variant. It is an
 implementation of the OGC KML 2.2 standard. It is written in C++ and
 bindings are available via SWIG to Java and Python.
 .
 This package contains files required to build C/C++ programs which use
 the KML library.

=== debian/rules ===
#!/usr/bin/make -f

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

include /usr/share/dpkg/pkg-info.mk

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

UPSTREAM_VERSION := $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+.*//')

%:
	dh $@ --with pkgkde_symbolshelper --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
		-DLIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
		-DCMAKE_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)/cmake/libkml \
		-DBUILD_TESTING=OFF \
		-DBUILD_EXAMPLES=OFF \
		-DINSTALL_EXAMPLES=OFF

override_dh_auto_install:
	dh_auto_install

	# Remove autotools stuff
	find $(CURDIR)/examples/ -type f \( -name "Makefile*" -or -name "CMakeLists.txt" \) -delete

override_dh_install:
	dh_install --autodest --list-missing

override_dh_makeshlibs:
	dh_makeshlibs -- -c0 -v$(UPSTREAM_VERSION)

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/,\
filenamemangle=s/(?:.*?)?(?:rel|release|v)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/libkml-$1.$2/ \
https://github.com/libkml/libkml/releases \
(?:.*?/archive/)?(?:rel|release|v|libkml)?[\-\_]?(\d\S+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## libkml 1.3.0%7erc0

=== src/kml/base/CMakeLists.txt ===

if(HAVE_SYSTEM_EXPAT)
  include_directories(${EXPAT_INCLUDE_DIR})
endif()

list(APPEND KMLBASE_LINK_LIBS ${EXPAT_LIBRARY})

file(GLOB SRCS "*.cc"
  contrib/minizip/unzip.c
  contrib/minizip/iomem_simple.c)

if(WIN32)
  list(REMOVE_ITEM SRCS "${CMAKE_CURRENT_SOURCE_DIR}/file_posix.cc")
else()
  list(REMOVE_ITEM SRCS "${CMAKE_CURRENT_SOURCE_DIR}/file_win32.cc")
endif()

#supress W-long-long
set_source_files_properties(${CMAKE_CURRENT_SOURCE_DIR}/zip_file.cc COMPILE_FLAGS "-Wno-long-long")

file(GLOB INCS "${CMAKE_CURRENT_SOURCE_DIR}/*.h")

build_target(
  NAME kmlbase
  SRCS ${SRCS}
  INCS ${INCS}
  DEPENDS ${KMLBASE_DEPENDS}
  LINKS ${KMLBASE_LINK_LIBS} )

=== src/kml/engine/CMakeLists.txt ===
file(GLOB SRCS "*.cc" )
file(GLOB INCS "${CMAKE_CURRENT_SOURCE_DIR}/*.h")

build_target(
  NAME kmlengine
  SRCS ${SRCS}
  INCS ${INCS}
  DEPENDS kmlbase;kmldom)
